POST /ads/ads

Create an ad from an ad set and a creative. PAUSED by default; requires confirm: true

POST
/ads/ads

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

Connected Facebook Page account id

adAccountId*string

Ad account id (act_...)

confirm*boolean

Required (true) for anything that can spend: creates (campaign, ad set, ad, boost), status ACTIVE, budget, bid, schedule or targeting changes. Without it: 400 confirmation_required, nothing is created

name*string
adSetId*string
creativeId*string
status?string

PAUSED (default) or ACTIVE (only together with confirm: true)

Value in"PAUSED""ACTIVE"

Response Body

{ad, mock}

application/json
  1. response
ad?
mock?boolean
Example Request
curl -X POST 'https://example.com/api/v1/ads/ads' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "adAccountId": "string",  "confirm": true,  "name": "string",  "adSetId": "string",  "creativeId": "string"}'
Example Response
{  "ad": {},  "mock": true}